Skip navigation

HT4759: iCloud: System requirements

Learn about iCloud: System requirements

HT4759 So why can't i have my old mail since it won't support Osx 10.4.11. i mean it cost 3000.00 dollars new. How about a new Mac 4half price since they took our Ol E-mail away.Like wedon't need it?Turnover4 powermac is6yrs? Hows a if u can't upgrade coupon?

109 Views 3 Replies Latest reply: Nov 16, 2012 12:33 AM by Julian Wright RSS
Glenn Veiga Calculating status...
Currently Being Moderated
Nov 15, 2012 12:44 PM

There should be a "can't upgrade" coupon for a new Mac, since they don't know how to, and can't upgrade my Power Mac so we can get a working I-Mail like we had, since they took it away.

Power Mac G5 (Early 2005), Mac OS X (10.4.11)

Actions

More Like This

  • Retrieving data ...

Bookmarked By (0)

Legend

  • This solved my question - 10 points
  • This helped me - 5 points
This site contains user submitted content, comments and opinions and is for informational purposes only. Apple disclaims any and all liability for the acts, omissions and conduct of any third parties in connection with or related to your use of the site. All postings and use of the content on this site are subject to the Apple Support Communities Terms of Use.